summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-10-26 13:18:11 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-10-26 13:18:11 +0200
commit0e5e622952fe51588f1537e621c63cbe4a91c136 (patch)
tree33340f5d0b790115b5c34558b815e9d00f42a15b
parent4be9d55ad63853dd1562ab4f0537b0b403aa9ca5 (diff)
checkpoint
-rwxr-xr-xbin/extra/tmux-sessionizer20
-rwxr-xr-xbin/guiscripts/vrec2
-rwxr-xr-xconfig/common/tmux/tmux.conf1
-rw-r--r--config/essentials/zsh/.zshrc4
-rwxr-xr-xconfig/extra/gdb/gdbinit (renamed from config/extra/gdb/gdbearlyinit)0
5 files changed, 12 insertions, 15 deletions
diff --git a/bin/extra/tmux-sessionizer b/bin/extra/tmux-sessionizer
index 8b04b0b..ca9f921 100755
--- a/bin/extra/tmux-sessionizer
+++ b/bin/extra/tmux-sessionizer
@@ -4,33 +4,27 @@ if [ $# -eq 1 ]; then
selected="$1"
else
pfx="$HOME/proj"
- d="$(find "$pfx" -mindepth 1 -maxdepth 1 -type d | sed "s@$pfx/@@" | fzf)"
- { [ "$d" ] && [ -d "$pfx/$d" ]; } || exit 1
- selected="${d##*/}"
+ selected="$(find "$pfx" -mindepth 1 -maxdepth 1 -type d | sed "s@$pfx/@@" | fzf)"
+ { [ "$selected" ] && [ -d "$pfx/$selected" ]; } || exit 1
fi
->&2 printf 'selected: %s\n' "$selected"
if [ -z "$selected" ]; then
exit 0
fi
-selected_name="$(basename "$selected" | tr '.' '_')"
tmux_running="$(pgrep "tmux" | head -n1)"
->&2 printf 'tmux_running: "%s"\n' "$tmux_running"
->&2 printf 'selected_name: %s\n' "$selected_name"
-
if [ -z $TMUX ] && [ -z "$tmux_running" ]; then
- tmux new-session -s "$selected_name" -c "$selected"
+ tmux new-session -s "$selected" -c "$pfx"/"$selected"
exit 0
fi
-if ! tmux has-session -t="$selected_name" 2> /dev/null; then
- tmux new-session -ds "$selected_name" -c "$selected"
+if ! tmux has-session -t="$selected" 2> /dev/null; then
+ tmux new-session -ds "$selected" -c "$pfx"/"$selected"
fi
if [ -z $TMUX ]; then
- tmux attach -t "$selected_name"
+ tmux attach -t "$selected"
else
- tmux switch-client -t "$selected_name"
+ tmux switch-client -t "$selected"
fi
diff --git a/bin/guiscripts/vrec b/bin/guiscripts/vrec
index f01a5c7..a383f33 100755
--- a/bin/guiscripts/vrec
+++ b/bin/guiscripts/vrec
@@ -29,7 +29,7 @@ record_cmd()
touch "$lock"
fi
- herbe "started recording." &
+ herbe "started recording." # use notification to know when recording started
w=$(($3 + $3 % 2))
h=$(($4 + $4 % 2))
ffmpeg $audio \
diff --git a/config/common/tmux/tmux.conf b/config/common/tmux/tmux.conf
index 7fc73b0..7929836 100755
--- a/config/common/tmux/tmux.conf
+++ b/config/common/tmux/tmux.conf
@@ -19,6 +19,7 @@ set-window-option -g pane-base-index 1
set-window-option -g mode-keys vi
# compatibility with vim for focus based events
set -g focus-events on
+set -g mouse
# KEYBINDINGS
# Reload config file
diff --git a/config/essentials/zsh/.zshrc b/config/essentials/zsh/.zshrc
index 07e859d..f5debdb 100644
--- a/config/essentials/zsh/.zshrc
+++ b/config/essentials/zsh/.zshrc
@@ -45,7 +45,7 @@ then
plug "MichaelAquilina/zsh-auto-notify"
export AUTO_NOTIFY_TITLE="zsh"
export AUTO_NOTIFY_BODY="%command [%exit_code]"
- AUTO_NOTIFY_IGNORE+=("abduco" "gurk" "ttyper" "pulsemixer" "tmux" "btop" "vis" "clock")
+ AUTO_NOTIFY_IGNORE+=("abduco" "gurk" "ttyper" "pulsemixer" "tmux" "btop" "vis" "clock" "server" "chatty")
fi
# Substring search settings
@@ -143,3 +143,5 @@ setopt notify
# setopt cdablevars
# zprof
+
+PATH="$PATH:$HOME/proj/chatty/v2/"
diff --git a/config/extra/gdb/gdbearlyinit b/config/extra/gdb/gdbinit
index 7731881..7731881 100755
--- a/config/extra/gdb/gdbearlyinit
+++ b/config/extra/gdb/gdbinit